> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List multipart uploads

> List all active multipart uploads



## OpenAPI

````yaml /reference/sandbox-api/openapi.json get /filesystem-multipart
openapi: 3.0.0
info:
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  contact: {}
  version: 0.0.1
servers:
  - url: https://{sandbox_host}
    description: >-
      Host from the sandbox's returned url, without the scheme or trailing
      slash.
    variables:
      sandbox_host:
        default: sandbox.example.com
security:
  - BearerAuth: []
paths:
  /filesystem-multipart:
    get:
      tags:
        - filesystem
      summary: List multipart uploads
      description: List all active multipart uploads
      responses:
        '200':
          description: List of active uploads
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipartListUploadsResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartListUploadsResponse:
      type: object
      properties:
        uploads:
          type: array
          items:
            $ref: '#/components/schemas/filesystem.MultipartUpload'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          example: Error message
    filesystem.MultipartUpload:
      type: object
      properties:
        initiatedAt:
          type: string
        parts:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/filesystem.UploadedPart'
        path:
          type: string
          example: /tmp/largefile.dat
        permissions:
          type: integer
          example: 420
        uploadId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
    filesystem.UploadedPart:
      type: object
      properties:
        etag:
          type: string
          example: 5d41402abc4b2a76b9719d911017c592
        partNumber:
          type: integer
          example: 1
        size:
          type: integer
          example: 5242880
        uploadedAt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Sandbox access token created through POST /v1/token.

````